private fields
2010-02-01 15:20 - Matthieu Codron

Status: New Start date: 2010-02-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution:

Description

following #1554 and #337, it appears usefull to think about some private fields (I'd better like ACL-controlled fields than only
public/private flag :))

NB: | was sure i saw it as a request a long time ago, but | can not find it again. surry if this is a dup

Related issues:

Related to Redmine - Feature #11329: Private custom fields Closed

Related to Redmine - Feature #8050: Mightful workflow field enhancement: vis... Closed 2011-04-03
Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

History

#1 - 2011-09-20 12:01 - Laurent Dairaine

It could be also useful to get fields appearing in the ticket depending on the ticket state.

#2 - 2012-10-12 10:13 - Anton Nepomnyaschih
This is duplicate of #11329.

#3 - 2012-11-22 11:29 - Daniel Felix

- Category set to Issues workflow

Well, this one seems to be solved by #8050 and #12005.

You can define some workflow, where some role has write or just read rights, even for custome fields (#8050). Additionally, you can define if these
custom field is visible or just hidden (#12005).

Is this an implementation, which fits your needs? If see, please give feedback and this Ticket could be closed.
